"use strict";
var __webpack_exports__ = {};
const jsx_runtime_namespaceObject = require("react/jsx-runtime");
require("react");
const client_namespaceObject = require("@tachybase/client");
const react_namespaceObject = require("@testing-library/react");
describe('DataSourceManagerProvider', ()=>{
    test('should render children', ()=>{
        const dataSourceManager = {};
        const { getByText } = (0, react_namespaceObject.render)(/*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(client_namespaceObject.DataSourceManagerProvider, {
            dataSourceManager: dataSourceManager,
            children: /*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)("div", {
                children: "Test Children"
            })
        }));
        expect(getByText('Test Children')).toBeInTheDocument();
    });
});
describe('useDataSourceManager', ()=>{
    test('should return the data source manager', ()=>{
        const dataSourceManager = {};
        const TestComponent = ()=>{
            const manager = (0, client_namespaceObject.useDataSourceManager)();
            expect(manager).toBe(dataSourceManager);
            return null;
        };
        (0, react_namespaceObject.render)(/*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(client_namespaceObject.DataSourceManagerProvider, {
            dataSourceManager: dataSourceManager,
            children: /*#__PURE__*/ (0, jsx_runtime_namespaceObject.jsx)(TestComponent, {})
        }));
    });
});
var __webpack_export_target__ = exports;
for(var __webpack_i__ in __webpack_exports__)__webpack_export_target__[__webpack_i__] = __webpack_exports__[__webpack_i__];
if (__webpack_exports__.__esModule) Object.defineProperty(__webpack_export_target__, '__esModule', {
    value: true
});
